package com.ez.ertc.meeting.utils;

public class ErtcNetLevelUtils {

    public static int getNetLevel(int netQuality) {
        int netLevel = 4;
        switch (netQuality) {
            //良好
            case 1: //当前网络非常好
            case 2: //当前网络比较好
                netLevel = 4;
                break;
            //不佳
            case 3: //当前网络一般
                netLevel = 3;
                break;
            //较差
            case 4: //当前网络较差
            case 5: //当前网络很差
                netLevel = 2;
                break;
            //极差
            case 6: //当前网络不满足 ERTC 的最低要求
            case 7: //暂时无法检测到网络质量
            case 8: //网络质量检测已开始还没有完成
            case 0: //网络类型——未定义
                netLevel = 1;
                break;
        }
        return netLevel;
    }
}
